Subject: Re: bug#9079: integer overflow etc. issues (e.g., image crashes Emacs)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Jul 2011 08:46:43 +0300

> Date: Thu, 14 Jul 2011 15:02:06 -0700
> From: Paul Eggert <[email-masked]>
> CC: [email-masked]
> 
> OK, here's an updated version of the bidi.c part of that patch,
> reflecting the bidi changes just made to the trunk.

Thanks.  But why is it a good idea to use ptrdiff_t instead of
EMACS_INT?  I used EMACS_INT for a reason, not just because I needed a
wider type: the bidi cache can never be longer than the longest Lisp
string or buffer.  So having a cache longer than that is already a
bug, and we should announce memory full when a Lisp integer overflows.